Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
pipeline-executions
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/pipeline-executions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pipelineName": "Pipeline 1",
  "environmentName": "Dev Environment"
}
'
{
  "pipelineExecutionId": "1398aa31-af57-4a6a-9752-27c2e8556c3f"
}

Documentation Index

Fetch the complete documentation index at: https://docs.maia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Body

application/json
environmentName
string
required

Environment pipeline is published to

Maximum string length: 255
Example:

"Dev Env"

pipelineName
string
required

Name of the pipeline to execute

Minimum string length: 1
Example:

"My pipeline"

agentId
string

Optional agentId to execute the pipeline. If not specified the default agent for the provided environment will be used

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

executionTag
string

Optional execution tag, this allows control of pipeline execution concurrency. Only 1 pipeline execution is allowed to run per execution tag in a given environment.

Example:

"tag1"

gridVariables
object

Optional map of grid variable names to two-dimensional string arrays, used to override grid variable values for this execution without modifying the published pipeline definition

scalarVariables
object

Optional map of scalar variable names to their override values for this execution, without modifying the published pipeline definition

versionName
string

Optional artifact version name of the pipeline to execute. If not specified the latest version will be executed

Example:

"1.1.0"

Response

Pipeline executed

pipelineExecutionId
string<uuid>

Identifier of executing pipeline

Example:

"1398aa31-af57-4a6a-9752-27c2e8556c3f"